/*
 * Copyright (C) 2021 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package com.android.server.pm.test.verify.domain

import android.annotation.UserIdInt
import com.android.server.pm.verify.domain.DomainVerificationService
import java.util.UUID

fun DomainVerificationService.setStatus(domainSetId: UUID, domains: Set<String>, state: Int) =
    setDomainVerificationStatus(domainSetId, domains.toMutableSet(), state)

fun DomainVerificationService.setUserSelection(
    domainSetId: UUID,
    domains: Set<String>,
    enabled: Boolean,
    @UserIdInt userId: Int
) = setDomainVerificationUserSelection(domainSetId, domains.toMutableSet(), enabled, userId)
